﻿
namespace TeamProjectManager.Common
{
    /// <summary>
    /// Provides application-wide constants.
    /// </summary>
    public static class Constants
    {
        /// <summary>
        /// The name of the application.
        /// </summary>
        public const string ApplicationName = "Team Project Manager";

        /// <summary>
        /// The URL of the homepage of the application.
        /// </summary>
        public const string ApplicationUrl = "http://teamprojectmanager.codeplex.com";

        /// <summary>
        /// The description of the application.
        /// </summary>
        public const string ApplicationDescription = "Automates various tasks across Team Projects in Team Foundation Server.";

        /// <summary>
        /// The company of the application.
        /// </summary>
        public const string ApplicationCompany = "Jelle Druyts";

        /// <summary>
        /// The copyright statement of the application.
        /// </summary>
        public const string ApplicationCopyright = "Copyright © " + ApplicationCompany;

        /// <summary>
        /// The configuration of the assemblies that make up the application.
        /// </summary>
        public const string AssemblyConfiguration = "";

        /// <summary>
        /// The trademark of the assemblies that make up the application.
        /// </summary>
        public const string AssemblyTrademark = "";

        /// <summary>
        /// The culture of the assemblies that make up the application.
        /// </summary>
        public const string AssemblyCulture = "";

        /// <summary>
        /// The neutral resources language of the assemblies that make up the application.
        /// </summary>
        public const string AssemblyNeutralResourcesLanguage = "en-US";
    }
}